2017 © Pedro Peláez
 

library laravel-cybersource

Laravel Wrapper for Cybersource's SOAP API

image

creativelittledots/laravel-cybersource

Laravel Wrapper for Cybersource's SOAP API

  • Tuesday, February 27, 2018
  • by terence1990
  • Repository
  • 1 Watchers
  • 0 Stars
  • 85 Installations
  • PHP
  • 0 Dependents
  • 0 Suggesters
  • 6 Forks
  • 0 Open issues
  • 24 Versions
  • 0 % Grown

The README.md

laravel-cybersource

Build Status Coverage Status Packagist, (*1)

This package wraps the Cybersource SOAP API in a convenient, easy to use package for Laravel., (*2)

Installation

Install using composer:, (*3)

"require": {
  "creativelittledots/laravel-cybersource": "4.0.*" 
}

See Packagist for latest version, (*4)

Then, in config/app.php, add the following to the service providers array., (*5)

array(
   ...
  'Credibility\LaravelCybersource\Providers\LaravelCybersourceServiceProvider',
)

Finally, in config/app.php, add the following to the facades array., (*6)

array(
    ...
    'Cybersource'     => 'Credibility\LaravelCybersource\Facades\Cybersource',
)

Usage

Example usage using Facade:, (*7)

$response = Cybersource::createSubscription(
    $paymentToken,
    $productId,
    $productTotal,
    $frequency
);

if($response->isValid()) {
    $responseDetails = $response->getDetails();
    echo $responseDetails['paySubscriptionCreateReply']['subscriptionID'];
} else {
    echo $response->error();
}

The Versions

27/02 2018

dev-master

9999999-dev

Laravel Wrapper for Cybersource's SOAP API

  Sources   Download

MIT

The Requires

 

The Development Requires

by Avatar credibility

27/02 2018

4.0.6

4.0.6.0

Laravel Wrapper for Cybersource's SOAP API

  Sources   Download

MIT

The Requires

 

The Development Requires

by Avatar credibility

05/11 2015
10/09 2015